[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| ColumnIterator Class Template Reference |
--- | --- | ---

Iterator adapter to linearly access colums. More...

`#include "vigra/imageiteratoradapter.hxx"`

## Public Types
typedef IMAGE_ITERATOR::value_type | value_type
typedef IMAGE_ITERATOR::value_type | PixelType
typedef IMAGE_ITERATOR::reference | reference
typedef IMAGE_ITERATOR::index_reference | index_reference
typedef IMAGE_ITERATOR::pointer | pointer
typedef IMAGE_ITERATOR::difference_type::MoveY | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef IMAGE_ITERATOR | Adaptee
## Public Methods
| ColumnIterator (IMAGE_ITERATOR const &i)
ColumnIterator & | operator= (ColumnIterator const &i)
ColumnIterator & | operator= (IMAGE_ITERATOR const &i)
Navigation
Methods
ColumnIterator | operator+ (int d) const
ColumnIterator | operator- (int d) const
int | operator- (ColumnIterator const &c) const
bool | operator== (ColumnIterator const &c) const
bool | operator!= (ColumnIterator const &c) const
bool | operator< (ColumnIterator const &c) const
reference | operator * () const
index_reference | operator[] (int d) const
pointer | operator-> () const
Adaptee & | adaptee () const

## Detailed Description

### template<class IMAGE_ITERATOR>
class vigra::ColumnIterator< IMAGE_ITERATOR >

Iterator adapter to linearly access colums.

This iterator may be initialized from any standard ImageIterator, a MultibandImageIterator and so on. It gives you STL-compatible (random access iterator) access to one column of the image. If the underlying iterator is a const iterator, the column iterator will also be const (i.e. doesn't allow to change the values it points to). The iterator gets associated with the accessor of the base iterator.

Note that image iterators usually have a member `columnIterator()` which returns a column iterator optimized for that particular image class. ColumnIterator is only necessary if this 'native' column iterator is not usable in a particular situation or is not provided.

#include "vigra/imageiteratoradapter.hxx"

Namespace: vigra

## Member Typedef Documentation

typedef IMAGE_ITERATOR Adaptee

| the type of the adapted iterator

typedef IMAGE_ITERATOR::difference_type::MoveY difference_type

| the iterator's difference type (argument type of `iter[diff]`)

typedef IMAGE_ITERATOR::index_reference index_reference

| the iterator's index reference type (return type of `iter[n]`)

typedef std::random_access_iterator_tag iterator_category

| the iterator tag (random access iterator)

typedef IMAGE_ITERATOR::value_type PixelType

| the iterator's value type

typedef IMAGE_ITERATOR::pointer pointer

| the iterator's pointer type (return type of `iter.operator->()`)

typedef IMAGE_ITERATOR::reference reference

| the iterator's reference type (return type of `*iter`)

typedef IMAGE_ITERATOR::value_type value_type

| the iterator's value type

## Constructor & Destructor Documentation

ColumnIterator | ( | IMAGE_ITERATOR const & | i | ) | `[inline]`

| Construct from an the image iterator to be adapted.

## Member Function Documentation

Adaptee& adaptee | ( |  | ) | const`[inline]`

| Get a reference to the adapted iterator

reference operator * | ( |  | ) | const`[inline]`

| Access current pixel.

bool operator!= | ( | ColumnIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Inequality.

ColumnIterator operator+ | ( | int | d | ) | const`[inline]`

| Construct iterator at a distance.

int operator- | ( | ColumnIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Calculate distance.

ColumnIterator operator- | ( | int | d | ) | const`[inline]`

| Construct iterator at a distance.

pointer operator-> | ( |  | ) | const`[inline]`

| Call member function of current pixel.

bool operator< | ( | ColumnIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Smaller than.

ColumnIterator& operator= | ( | IMAGE_ITERATOR const & | i | ) | `[inline]`

| Assign a new base iterator.

ColumnIterator& operator= | ( | ColumnIterator< IMAGE_ITERATOR > const & | i | ) | `[inline]`

| Assignment.

bool operator== | ( | ColumnIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Equality.

index_reference operator[] | ( | int | d | ) | const`[inline]`

| Access pixel at distance d.

The documentation for this class was generated from the following file:

- vigra/imageiteratoradapter.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)